NAME
vacation - automatically respond to incoming mail messages.

SYNOPSIS
vacation [-l logfile] [-m mailfile] [-M canned_msg_file] [-F failsafe]

DESCRIPTION

When a new mail message arrives, the mail command first checks if the recipient's mailbox indicates that the message is to be forwarded elsewhere (to some other recipient or as the input to some command). vacation is used to set up forwarding on the user's mailbox so that the new message is saved into an alternative mailbox and a canned response is sent to the message's originator.

Command-line options are:

-l logfile
    File to keep track of which originators have already seen the canned response. If not specified, it defaults to $HOME/.maillog.
-m mailfile
    Alternate mailbox to save new messages into. If not specified, it defaults to $HOME/.mailfile.
-M canned_msg_file
    File to send back as the canned response. If canned_msg_file is not specified, it defaults to /usr/lib/mail/std_vac_msg, which contains:

    Subject: AUTOANSWERED!!!

    I am on vacation. I will read (and answer if necessary)
    your e-mail message when I return.

    This message was generated automatically and you will
    receive it only once, although all messages you send
    me while I am away WILL be saved.

-F failsafe
    If mail has troubles delivering to the mailfile specified, it may optionally be forwarded to another login id (failsafe) instead of being returned to the sender.

-d  The log file will have the day's date appended.

To remove the vacation functionality, use

    mail -F ""

FILES
/tmp/notif*
    temporary file
/usr/share/lib/mail/std_vac_msg
    default canned response
/var/mail/*
    users' standard mailboxes
/usr/lib/mail/vacation2
    program that actually sends back the canned response

SEE ALSO
mail(1)
User's Guide.

NOTES
Because vacation uses the ``Forward to |command'' facility of mail to implement notifications, /var/mail/username should not be specified as the place to put newly arrived messages via the -m invocation option. The mail command uses /var/mail/username to hold either mail messages, or indications of mail forwarding, but not both simultaneously.